const pool = require("../../server/db/connect");

type Data = {
    row: string,
}

const queryString = "SELECT type_pizza.id, type_pizza.title as name, type_pizza.heft_trad, type_pizza.type, type_pizza.heft_thin, type_pizza.price, type_pizza.img_thin, type_pizza.img_trad, type_pizza.size, products.title, products.description FROM type_pizza, products WHERE products.id=type_pizza.id_products and products.type='pizza' and products.status=1";

export default function handler(req, res)  {
    pool.getConnection(function(err, conn) {
        // Do something with the connection
        conn.query(queryString , function(err, rows, fields) {
            res.status(200).json(rows);
         });
        // Don't forget to release the connection when finished!
        pool.releaseConnection(conn);
     })
}